#include <stdio.h>
#include <stdlib.h>
#include <tx_api.h>
#include <sysAccess.h>
#include "appconf.h"
#include "flashftp.h"
#include "gpio.h"

void applicationTcpDown()
{
    static int ticksPassed = 0;
    ticksPassed++;
}

void applicationStart()
{
	printf("gpio_test\n");
	NAsetSysAccess(NASYSACC_ADD, "user", "pass", NASYSACC_LEVEL_HTTP_R1 | NASYSACC_LEVEL_RW, NULL);
	flashftp_start("gpio_test");
	printf("ftp server started.\n");

	// set gpio direction.
	init_gpio(GPIO_NUM_1, GPIO_DIR_OUT);
	init_gpio(GPIO_NUM_2, GPIO_DIR_OUT);
	init_gpio(GPIO_NUM_3, GPIO_DIR_IN);
	init_gpio(GPIO_NUM_4, GPIO_DIR_IN);
	init_gpio(GPIO_NUM_5, GPIO_DIR_IN);

	while (1)	{
		if (get_gpio(GPIO_NUM_5))	{
			set_gpio(GPIO_NUM_1, get_gpio(GPIO_NUM_3));
			set_gpio(GPIO_NUM_2, get_gpio(GPIO_NUM_4));
		}
	}
}
